Bug 1606794 - zn_poly: FTBFS in Fedora rawhide
Summary: zn_poly: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: zn_poly
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1585626 F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 21:39 UTC by Mohan Boddu
Modified: 2018-10-13 17:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-13 17:25:50 UTC


Attachments (Terms of Use)
build.log (3.82 KB, text/plain)
2018-07-20 21:40 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 21:40 UTC, Mohan Boddu
no flags Details
state.log (623 bytes, text/plain)
2018-07-20 21:40 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 21:39:56 UTC
zn_poly failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28241292


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix zn_poly at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
zn_poly will be orphaned. Before branching of Fedora 30,
zn_poly will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 21:40:07 UTC
Created attachment 1469260 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 21:40:11 UTC
Created attachment 1469261 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 21:40:14 UTC
Created attachment 1469262 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 08:45:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Jerry James 2018-09-20 19:31:45 UTC
FYI, zn_poly upstream has been dead for awhile.  Some members of the sagemath community have started https://gitlab.com/sagemath/zn_poly for further development.

Comment 6 Thomas Spura 2018-10-05 23:23:38 UTC
(In reply to Jerry James from comment #5)
> FYI, zn_poly upstream has been dead for awhile.  Some members of the
> sagemath community have started https://gitlab.com/sagemath/zn_poly for
> further development.

Thanks for the notice. As I packaged this just for sagemath in the first place, do you want to take over this package as well to keep this and sagemath compatible?

Comment 7 Jerry James 2018-10-07 00:57:33 UTC
Honestly, I have too many packages already.  But if you need to give it away, then I will take it for the sake of sagemath.

Comment 8 Thomas Spura 2018-10-07 16:42:56 UTC
I would rather be co-maintainer of it and help out if possible, but giving it away to you as point of contact...

Comment 9 Jerry James 2018-10-08 02:22:46 UTC
Very well.  I will look at getting this package to build with the new sources.

Comment 10 Jerry James 2018-10-13 17:25:50 UTC
Fixed in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.